{% extends 'base.html' %}
{% load static %}
{% load bootstrap4 %}

{% block title %}Авторизация{% endblock %}

{% block content %}

<div class="row mt-3">
    <div class="col-3"></div>
    <div class="col-6">
        <h3>User authorization</h3>
    </div>
    <div class="col-3"></div>
</div>

<div class="row">
    <div class="col-3"></div>
    <div class="col-6">
        <form method="post">
            {% csrf_token %}
            {% bootstrap_form login_form show_label=False size='small' %}

            <small class="form-text text-muted mt-3">Авторизация с помощью социальных сетей | <a href="{% url 'users:password_reset' %}">Забыли пароль?</a></small>
            <div class="row mt-1">
                <div class="col-1">
                    <a href="{% url 'social:begin' 'vk-oauth2' %}"><img src="{% static 'users/img/vk.png' %}" width="30px" height="30px"></a>
                </div>
                <div class="col-1">
                    <a href="{% url 'social:begin' 'google-oauth2' %}"><img src="{% static 'users/img/google.png' %}" width="30px" height="30px"></a>
                </div>
                <div class="col-1">
                    <a href="{% url 'social:begin' 'github' %}"><img src="{% static 'users/img/github.png' %}" width="30px" height="30px"></a>
                </div>
            </div>

            {% bootstrap_button 'Войти' button_class='btn-info mt-4' button_type='submit' size='small' %}
        </form>
    </div>
    <div class="col-3"></div>
</div>


{% endblock %}